<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="pe-md-4 pe-lg-5">
	<p
			*ngIf="candidate?.details?.candidateType_attribute4"
			[innerHTML]="candidate?.details?.candidateType_attribute4"
			class="text-black mb-0"
	></p>

	<p
			[attr.aria-level]="headingLevel"
			[attr.role]="headingLevel ? 'heading' : null"
			[ngClass]="headingClass"
			class="candidate--title d-flex align-items-center justify-content-between mb-0"
	>
		<span *ngIf="screenReaderLabel" class="visually-hidden">{{ screenReaderLabel }}</span>

		<span *ngIf="candidate; else noCandidate">
      		{{ candidate.isWriteIn ? candidateWriteIn : candidate.details.candidateType_attribute1 }}
		</span>

		<ng-template #noCandidate>
			<span class="fst-italic">{{ candidatePlaceholder }}</span>
		</ng-template>
	</p>

	<div *ngIf="showAllDetails" class="row text-dark text-opacity-75">
		<p
				*ngIf="candidate?.details?.candidateType_attribute2"
				class="col mb-0 candidate--details"
		>
			{{ candidate?.details?.candidateType_attribute2 }}
		</p>

		<p
				*ngIf="candidate?.details?.candidateType_attribute3"
				class="col-auto mb-0"
		>
			{{ candidate?.details?.candidateType_attribute3 }}
		</p>
	</div>
</div>
